/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Oct-30-2011 08:24:13pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Quests\Quest Givers\Hagatha.cs
Lines of code: 77
***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{
	public class DoYouWantToKnowASecretQuest : BaseQuest
	{				
		public override object Title{ get{ return "Do You Want To Know A Secret?"; } }
		
		public override object Description{ get{ return "That crazy ol' bat of a witch Ethel has finally snapped. If you ask me, it was about time she got locked up in that house. Always wanting more and more power so that we could all bow down before her. Hah, now look where she is.<br><br>I happen to know a delicious secret about Ethel's 'reflect' attack and I'll tell you it if you get me some cherry lolipops!"; } }
		
		public override object Refuse{ get{ return "Fine, I'll just hold on to this hint scroll and dangle it in front of your face until you give in!"; } }
		
		public override object Uncomplete{ get{ return "If you're looking for candy, some of the other witches might offer you some quests with a bag of candy as the reward."; } }
		
		public override object Complete{ get{ return "Oh give me those! *om nom nom nom*. What are you still doing here? Ohhhh you want that hint scroll? HAH can't have it bwhahahahaha<br><br><i>You knock the witch over, grabbing the hint scroll from her hands</i><br><br>Rats, I've been foiled! Those cherry lolipops were barely worth the hassle."; } }
	
		public DoYouWantToKnowASecretQuest() : base()
		{			
			AddObjective( new ObtainObjective( typeof( CherryLolipop ), "Cherry Lolipop", 20, 18061, 0, 0 ) );
			
			AddReward( new BaseReward( typeof( DerangedWitchHint ), "A hint scroll" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Hagatha : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( DoYouWantToKnowASecretQuest )
			};} 
		}
		
		[Constructable]
		public Hagatha() : base( "Hagatha", "the shady witch" )
		{			
				SetSkill( SkillName.Meditation, 60.0, 83.0 );
				SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Hagatha( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 0x83EA;

			Female = true;
			Body = 0x191;
		}
		
		public override void InitOutfit()
		{
			AddItem( new Robe( 0x1 ) );
			AddItem( new Sandals() );
			AddItem( new WizardsHat( 0x1 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;

			Item staff = new GnarledStaff();
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}